Subject: STATUS_ACCESS_VIOLATION when running g++
From: [email-masked] (Capron, Craig W)

18 Nov 1997 06:10:15 -0800
Message-ID: <B0BEF3AD3D9AD011B4CD0000F81E4D6676D0FA.cygnus.gnu-win32@EMSS01M03>
Mime-Version: 1.0
Content-Type: text/plain
To: "[email-masked]'" <[email-masked]>

Greetings!  I am new to programming and newer to Cygnus software, so I
beg your sufferance.  I have recently installed Cygnus' gnu-win32, b18,
and everything seems to be working fine except the compiler.  I've
written the following simple program named 'welcome.C':

	// A first program in C++

	#include <iostream.h>

	main(){
	  cout << "Welcome to C++!\n";

	  // indicate that program ended successfully
	  return 0;
	}

.. . . but when I ran g++ I received the following error message:

	(unknown) heap_init: unable to allocate heap, win32 error 87
	cygwin: terminating
	(unknown) In cygwin_except_handler
	(unknown) Exception trapped!
	(unknown) exception C0000005 at 1001E4B2
	(unknown) exception: ax 0 bx 0 cx 501 dx FFFFFFFF
	(unknown) exception: si 5C62696C di 5C32336E bp 241FB30 sp
241FB30
	(unknown) exception is: STATUS_ACCESS_VIOLATION
	(unknown) Stack trace:
	(unknown) frame 0: sp = 0x241F964, pc = 0x1001282A
	(unknown) frame 1: sp = 0x241F980, pc = 0x77F94512
	(unknown) frame 2: sp = 0x241F9A4, pc = 0x77F88EEB
	(unknown) frame 3: sp = 0x241FA30, pc = 0x77F76266
	(unknown) frame 4: sp = 0x241FB30, pc = 0x10011D4D
	(unknown) frame 5: sp = 0x241FB44, pc = 0x10018972
	(unknown) frame 6: sp = 0x241FB5C, pc = 0x10011615
	(unknown) frame 7: sp = 0x241FF94, pc = 0x10011BFF
	(unknown) frame 8: sp = 0x241FFA0, pc = 0x4118D5
	(unknown) frame 9: sp = 0x241FFB0, pc = 0x40103B
	(unknown) frame 10: sp = 0x241FFC0, pc = 0x77F1B304
	(unknown) frame 11: sp = 0x241FFF0, pc = 0x0
	(unknown) End of stack trace
	(unknown) In cygwin_except_handler
	(unknown) Error while dumping state (probably corrupted stack)
	(unknown) In cygwin_except_handler
	(unknown) Error while dumping state (probably corrupted stack)
	(unknown) In cygwin_except_handler
	(Blah, blah, blah, . . . repeats the last two lines ad nauseum)

I have run it from both the bash and the CMD prompt with the same
results.  I'm assuming that I've got something misconfigured somewhere,
but I've looked in all the places I know to look and I'm just not
finding it.  I hope this looks familiar to someone.

My system is an IBM PC350, 133-Mhz Pentium running Windows NT Server
v4.0 with service pack 3 installed.  Thanks in advance for any help
and/or sympathetic grimaces offered.

cwc

PS -- My apologies to anyone who may have previously received this
message.  In a NyQuil induced stupor I accidentally sent it out without
a subject header.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".